package org.silverpeas.mobile.shared.dto.media;

import static org.fusesource.restygwt.client.AbstractJsonEncoderDecoder.*;

public class VideoDTO_Generated_JsonEncoderDecoder_ extends org.fusesource.restygwt.client.AbstractJsonEncoderDecoder<org.silverpeas.mobile.shared.dto.media.VideoDTO> {
  
  public static final VideoDTO_Generated_JsonEncoderDecoder_ INSTANCE = new VideoDTO_Generated_JsonEncoderDecoder_();
  
  public com.google.gwt.json.client.JSONValue encode(org.silverpeas.mobile.shared.dto.media.VideoDTO value) {
    if( value==null ) {
      return getNullType();
    }
      return encodeVideoDTO1766468215(value);
    }
    
    private com.google.gwt.json.client.JSONValue encodeVideoDTO1766468215( org.silverpeas.mobile.shared.dto.media.VideoDTO value) {
      com.google.gwt.json.client.JSONObject rc = new com.google.gwt.json.client.JSONObject();
      com.google.gwt.json.client.JSONValue className=STRING.encode("VideoDTO");
      if( className!=null ) { 
        rc.put("@class", className);
      }
      org.silverpeas.mobile.shared.dto.media.VideoDTO parseValue = (org.silverpeas.mobile.shared.dto.media.VideoDTO)value;
      isNotNullValuePut(STRING.encode(parseValue.getDuration()), rc, "duration");
      isNotNullValuePut(STRING.encode(parseValue.getDataPoster()), rc, "dataPoster");
      isNotNullValuePut(BOOLEAN.encode(parseValue.getDownload()), rc, "download");
      isNotNullValuePut(STRING.encode(parseValue.getTitle()), rc, "title");
      isNotNullValuePut(STRING.encode(parseValue.getName()), rc, "name");
      isNotNullValuePut(STRING.encode(parseValue.getUpdateDate()), rc, "updateDate");
      isNotNullValuePut(STRING.encode(parseValue.getUpdater()), rc, "updater");
      isNotNullValuePut(STRING.encode(parseValue.getCreator()), rc, "creator");
      isNotNullValuePut(STRING.encode(parseValue.getCreationDate()), rc, "creationDate");
      isNotNullValuePut(INT.encode(parseValue.getCommentsNumber()), rc, "commentsNumber");
      isNotNullValuePut(STRING.encode(parseValue.getInstance()), rc, "instance");
      isNotNullValuePut(STRING.encode(parseValue.getMimeType()), rc, "mimeType");
      isNotNullValuePut(LONG.encode(parseValue.getSize()), rc, "size");
      isNotNullValuePut(STRING.encode(parseValue.getId()), rc, "id");
      return rc;
    }
    
    public org.silverpeas.mobile.shared.dto.media.VideoDTO decode(com.google.gwt.json.client.JSONValue value) {
      if( value == null || value.isNull()!=null ) {
        return null;
      }
      com.google.gwt.json.client.JSONObject object = toObject(value);
        return decodeVideoDTO1766468215(object);
      }
      
      private org.silverpeas.mobile.shared.dto.media.VideoDTO decodeVideoDTO1766468215(com.google.gwt.json.client.JSONObject object) {
        org.silverpeas.mobile.shared.dto.media.VideoDTO rc = new org.silverpeas.mobile.shared.dto.media.VideoDTO();
        rc.setDuration(getValueToSet(STRING.decode(object.get("duration")), null));
        rc.setDataPoster(getValueToSet(STRING.decode(object.get("dataPoster")), null));
        rc.setDownload(getValueToSet(BOOLEAN.decode(object.get("download")), false));
        rc.setTitle(getValueToSet(STRING.decode(object.get("title")), null));
        rc.setName(getValueToSet(STRING.decode(object.get("name")), null));
        rc.setUpdateDate(getValueToSet(STRING.decode(object.get("updateDate")), null));
        rc.setUpdater(getValueToSet(STRING.decode(object.get("updater")), null));
        rc.setCreator(getValueToSet(STRING.decode(object.get("creator")), null));
        rc.setCreationDate(getValueToSet(STRING.decode(object.get("creationDate")), null));
        rc.setCommentsNumber(getValueToSet(INT.decode(object.get("commentsNumber")), 0));
        rc.setInstance(getValueToSet(STRING.decode(object.get("instance")), null));
        rc.setMimeType(getValueToSet(STRING.decode(object.get("mimeType")), null));
        rc.setSize(getValueToSet(LONG.decode(object.get("size")), 0L));
        rc.setId(getValueToSet(STRING.decode(object.get("id")), null));
        return rc;
      }
      
    }
